use "C:\Users\kjeti\Downloads\data2901-Norway (2).dta" 

*Legger til data fra de to andre landene jeg bruker
append using data2901-England.dta 
append using data2901-Argentina.dta

*Lager tabell 1 i oppgaven
sum read clsize income teacher_exp books_home par_edu par_emp pct_abroad pct_disadv schoolsize4 speak_testlang_home early_ability not_born sameteacher1_less sameteacher4_plus school_location

*Modell 1 utregning
reg read clsize income teacher_exp books_home early_ability

*Modell 2 utregning
reg read clsize income teacher_exp books_home early_ability par_emp pct_disadv schoolsize4 speak_testlang_home par_edu not_born

*Generering av variabel til modell 3
gen clsize_sq=clsize^2

*Modell 3 utregning
reg read clsize income teacher_exp books_home early_ability par_emp pct_disadv schoolsize4 speak_testlang_home par_edu not_born clsize_sq


*Generering av barnehagevariabler til utregning av tabell 4
gen clsize_kinderg=clsize*kinderg_att
gen income_kinderg=income*kinderg_att
gen teacher_exp_kinderg=teacher_exp*kinderg_att
gen books_home_kinderg=books_home*kinderg_att
gen early_ability_kinderg=early_ability*kinderg_att
gen par_emp_kinderg=par_emp*kinderg_att
gen pct_disadv_kinderg=pct_disadv*kinderg_att
gen schoolsize4_kinderg=schoolsize4*kinderg_att
gen speak_testlang_home_kinderg=speak_testlang_home*kinderg_att
gen par_edu_kinderg=par_edu*kinderg_att
gen not_born_kinderg=not_born*kinderg_att
gen clsize_sq_kinderg=clsize_sq*kinderg_att

*Utregning av tabell 4
reg read clsize income teacher_exp books_home early_ability par_emp pct_disadv schoolsize4 speak_testlang_home par_edu not_born clsize_sq kinderg_att clsize_kinderg income_kinderg teacher_exp_kinderg books_home_kinderg early_ability_kinderg par_emp_kinderg pct_disadv_kinderg schoolsize4_kinderg speak_testlang_home_kinderg par_edu_kinderg not_born_kinderg clsize_sq_kinderg 



